Subject: bug#51572: [PATCH] tree-sitter-lock-mode

From: Yuan Fu <[email-masked]>
Date: Fri, 17 Dec 2021 22:26:58 -0800

>>> 
>>> From: Lars Ingebrigtsen <[email-masked]>
>>> Date: Thu, 04 Nov 2021 19:47:16 +0100
>>> Cc: [email-masked]
>>> 
>>> So I'm not sure where we're going with this.  Anybody got an opinion?
>> 
>> What's the status of the tree-sitter support that Yuan Fu (CC'ed) was
>> working on?  I thought he was very close to completion.
> 
> Sorry that I missed this. The code only lacks manual for indentation and font-lock integration. I was waiting for someone to suggest some improvement in that two area before writing the manual but so far no one has provided any. I’ll probably just write the manual and call it done. I’m also waiting for the author of tree-sitter to 1) release 1.0 and 2) allow changing malloc mechanism on run-time.

Someone notified me of this commercial-emacs thing made by dickmao [1]. Looking at his README, I suspect that this report is just an excuse for using the patch on his commercial-emacs. So we can probably close this report. I’m happy to be corrected, of course.

[1] https://github.com/commercial-emacs/commercial-emacs

Yuan